Tag Archives: subclipse

Gentoo: Subclipse errore: “Failed to load JavaHL Library”

Se dopo aver installato il plugin subclipse nel vostro eclipse ricevete il messaggio di errore:

“Failed to load JavaHL Library.”

Questo dipende dal fatto che probabilmente avete installato subversion senza lo use flag  java. Quindi prima di tutto controllate se gli use flag del vostro subversion (spero che subversion lo avevate gia installato ) e vedete se java e’ attivato con il comando:

emerge --info subversion

Ora se lo avete installato senza modificare i flag use probabilmente l’opzione java e’ disabilitata (in emerge le opzioni disabilitate sono precedute da un -, quindi dovreste vedere -java). Vi basta editare il vostro file package.use (se non lo avete createne uno) in /etc/portage, e aggiungere la seguente linea:

#SVN with java
>=dev-vcs/subversion-1.6.17-r7 java

E ora reinstallate subversion con il comando:

emerge --newuse subversion

Aspettate, e una volta terminata la reinstallazione di subversion al prossimo riavvio di eclipse non dovrete piu avere problemi.